<launch>
	<arg name="points_ground_src" default="/ground_points" /> <!-- PointCloud Ground filtered source topic-->
	<arg name="points_no_ground_src" default="/object_points" /> <!-- PointCloud NoGround filtered source topic-->
	<arg name="output_layer_name" default="road_status" /> <!-- NAme of the output layer in the GridMap-->

	<arg name="road_unknown_value" default="128" />     <!-- Value to fill in the occupancy grid when a cell is UNKNOWN -->
	<arg name="road_free_value" default="75" />         <!-- Value to fill in the occupancy grid when a cell is FREE-->
	<arg name="road_occupied_value" default="0" />      <!-- Value to fill in the occupancy grid when a cell is OCCUPIED-->
	<arg name="no_road_value" default="255" />          <!-- Value to fill in the occupancy grid when a cell is NO ROAD-->

	<arg name="grid_length" default="40" />
	<arg name="grid_x" default="0" />
	<arg name="grid_y" default="0" />
	<arg name="grid_resolution" default="0.1" />
	<arg name="radial_divider_angle" default="0.2" />

	<node name="pe_occupancy_processor_01" pkg="pe_road_occupancy_processor" type="pe_road_occupancy_processor" output="screen">
		<param name="points_ground_src" value="$(arg points_ground_src)" />
		<param name="points_no_ground_src" value="$(arg points_no_ground_src)" />
		<param name="output_layer_name" value="$(arg output_layer_name)" />

		<param name="road_unknown_value" value="$(arg road_unknown_value)" />
		<param name="road_free_value" value="$(arg road_free_value)" />
		<param name="road_occupied_value" value="$(arg road_occupied_value)" />
		<param name="no_road_value" value="$(arg no_road_value)" />

		<param name="grid_length" value="$(arg grid_length)" />
		<param name="grid_x" value="$(arg grid_x)" />
		<param name="grid_y" value="$(arg grid_y)" />
		<param name="grid_resolution" value="$(arg grid_resolution)" />
	</node>

</launch>
